Subject: Re: bug#30285: dired-do-chmod vs. top line of dired

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Feb 2018 23:01:04 +0200

>> Oh, and I discovered that the current state is much worse than I thought:
>>
>> 1. load dired-x
>> 2. type ‘M-<’ to go to the first line
>> 3. type ‘!’ (dired-do-shell-command)
>>
>>  “Wrong type argument: stringp, nil”
> Is it too much ask you to read my commit messages in case you dont
> have time/motivation to test my patches?  Then, you dont need to
> rediscover things already reported by others.  Thanks.

Where did you get the idea that I don't read your patches? This is
not true.  Now I re-read again your previous emails, and see nowhere
a mention of the error “Wrong type argument: stringp, nil”.
This is what I pointed out that unlike a useless message “[0 files]”
discussed before, the current code is actually worse because it contains
a plain bug.

> Some people say here they dont have time to tes my patches (even
> to read my commit messages), but at the same time they write
> the Bible in their emails (by the way, not refering to you now).

I'm always trying to write my emails as concise as possible to save time
of people who will read it.

> I do sleep 3 hours every day, more busy that all of you together
> and I still tested your patch and read (entirely) others emails.

I really appreciate all fresh ideas that you bring into development, and
your tireless efforts to implement them.  Thanks for all your contributions!